Bug 498783 - The KDE4 display settings tool doesn't handle my dual monitor setup correctly.
The KDE4 display settings tool doesn't handle my dual monitor setup correctly.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 06:40 EDT by Huub Schaeks
Modified: 2009-07-21 21:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 21:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-settings-display showing a gap between my two monitors. (65.13 KB, image/png)
2009-05-03 09:59 EDT, Huub Schaeks
no flags Details

  None (edit)
Description Huub Schaeks 2009-05-03 06:40:52 EDT
Description of problem:
I have a dual monitor setup with a crt monitor (1600x1200; d-sub) and a tft monitor (1920x1200; dvi). This works fine (big desktop) when I use an xorg.conf from a Gentoo system I have installed on the same machine. When I go to System Settings and choose Display both monitors are switched to 1600x1200 resolution at 60 Hz and are set to mirror mode. I can set both the refresh rates to auto; restoring the 75 Hz on the crt monitor. I can set the tft monitor to 1920x1200 resolution. But I can not set the desktop to use both monitors side by side.


Version-Release number of selected component (if applicable):
F11-Preview KDE4


How reproducible:
Every time


Steps to Reproduce:
1. Go to System Settings
2. Choose display
3.
  
Actual results: 
Both monitors mirroring each other an no way to change that


Expected results:
I would have hoped to be able to setup a big desktop configuration without resorting to an older xorg.conf


Additional info:
Radeon 9800-Pro video card
Comment 1 Huub Schaeks 2009-05-03 06:45:38 EDT
This comes as no surprise of course: Logging out gets me back to the big desktop setup.
Comment 2 Huub Schaeks 2009-05-03 09:58:14 EDT
I'm not sure why, but the problem is gone. What I did was, using the system-settings-display tool, rotate my tft 180 degrees, click apply, and when it actually turned the display image around (to my surprise) clicked 'revert to previous settings'. After that the big desktop was restored (from mirrored mode which it was when starting the tool) and in the dialog window the two monitors where shown side by side, as opposed to overlapping as they had been shown before. Rebooting and starting the tool again displayed the correct situation: big desktop, monitors side by side in the dialog window.

I have tried to reproduce the problem by booting from the live cd, but even then the settings appeared correct.

Right now there is another strange issue with the system-settings-display tool however. After trying a trivial (non-)change, changing the frequency for the tft from 60 Hz to 60 Hz (no idea why there are two options 60 Hz) clicking apply and then Revert to previous settings again. There now is a gap between the monitors in the dialog window I'll attach a screenshot. There is no real gap when I move the mouse cursor from one monitor to the other.
Comment 3 Huub Schaeks 2009-05-03 09:59:18 EDT
Created attachment 342232 [details]
system-settings-display showing a gap between my two monitors.
Comment 4 Huub Schaeks 2009-05-03 10:06:20 EDT
This gap in the system-settings-display dialog goes away after rebooting. If I then again change the frequency on the tft monitor as before and click apply. The monitors go into mirrored mode again. After clicking 'Revert to previous settings' the big desktop is restored, but the gap between the monitors in the system-settings-display dialog is back.
Comment 5 Adam Jackson 2009-05-04 14:25:02 EDT
I don't know what app that is in the screenshot, but it certainly isn't system-config-display.  Reassigning.
Comment 6 Kevin Kofler 2009-05-04 15:24:20 EDT
It's kcm_display which is part of kdebase-workspace.
Comment 7 Steven M. Parrish 2009-05-29 20:26:28 EDT
Thank you for the report.  This needs to be reported to the upstream developers at http://bugs.kde.org   Once reported please add the upstream report information to this report.  We will monitor upstream for a resolution.

Thanks
Comment 8 Bug Zapper 2009-06-09 11:03:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Steven M. Parrish 2009-07-21 21:03:42 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.